phpBB 3.3.0-RC1 released

General discussion of development ideas and the approaches taken in the 3.x branch of phpBB. The next feature release of phpBB 3 will be 3.3/Proteus.
Forum rules
Please do not post support questions regarding installing, updating, or upgrading phpBB 3.2.x. If you need support for phpBB 3.2.x please visit the 3.2.x Support Forum on phpbb.com.

If you have questions regarding writing extensions please post in Extension Writers Discussion to receive proper guidance from our staff and community.
User avatar
DavidIQ
Customisations Team Leader
Customisations Team Leader
Posts: 1840
Joined: Thu Mar 02, 2006 4:29 pm
Location: Earth
Contact:

Re: phpBB 3.3.0-RC1 released

Post by DavidIQ »

What PHP version?
Image

User avatar
Solidjeuh
Registered User
Posts: 46
Joined: Sat Feb 25, 2017 6:42 pm
Location: Aalst, Belgium
Contact:

Re: phpBB 3.3.0-RC1 released

Post by Solidjeuh »

DavidIQ wrote:
Tue Dec 24, 2019 1:13 pm
What PHP version?
7.4, It should be supported...

User avatar
DavidIQ
Customisations Team Leader
Customisations Team Leader
Posts: 1840
Joined: Thu Mar 02, 2006 4:29 pm
Location: Earth
Contact:

Re: phpBB 3.3.0-RC1 released

Post by DavidIQ »

Solidjeuh wrote:
Tue Dec 24, 2019 1:20 pm
7.4, It should be supported...
No, the intent is to support 7.4. That doesn't mean the entire system has been tested with that version of PHP so knowing the version is important. ;) Please report to the tracker so it can be fixed. Thanks.
Image

User avatar
Solidjeuh
Registered User
Posts: 46
Joined: Sat Feb 25, 2017 6:42 pm
Location: Aalst, Belgium
Contact:

Re: phpBB 3.3.0-RC1 released

Post by Solidjeuh »

Okay I was able to install with PHP 7.3
Hmzz let's see how that tracker works.. never did that before lol

User avatar
3Di
Registered User
Posts: 784
Joined: Tue Nov 01, 2005 9:50 pm
Location: Milano (I) Frankfurt (D)
Contact:

Re: phpBB 3.3.0-RC1 released

Post by 3Di »

Solidjeuh wrote:
Tue Dec 24, 2019 1:12 pm

Code: Select all

[phpBB Debug] "Trying to access array offset on value of type null" in file /var/www/vhosts/supportforum.be/httpdocs/phpbb/install/module_base.php on line 134
That's already fixed in https://tracker.phpbb.com/browse/PHPBB3-16261
It doesn't harm the installation though.
Solidjeuh wrote:
Tue Dec 24, 2019 1:12 pm

Code: Select all

[phpBB Debug] "password_hash(): A thread value other than 1 is not supported by this implementation" in file /var/www/vhosts/supportforum.be/httpdocs/phpbb/passwords/driver/base_native.php on line 57
That's something to do with your server / PHP implementation I guess. We replied already in the tracker.
https://www.php.net/manual/en/function. ... d-hash.php
Solidjeuh wrote:
Tue Dec 24, 2019 1:30 pm
Okay I was able to install with PHP 7.3
Ok, you could now try and switch to PHP 7.4 so to test the whole stuff.

Happy holidays :)
Please PM me only to request paid works. Thx.
Want to compensate me for my interest? Donate
My development's activity º PhpStorm's proud user
Extensions, Scripts, MOD porting, Update/Upgrades
👨‍🏫 | Take a tour to | The Studio | 👨‍🏫

Kirk
Registered User
Posts: 7
Joined: Mon Dec 23, 2019 7:43 pm

Re: phpBB 3.3.0-RC1 released

Post by Kirk »

DavidIQ wrote:
Tue Dec 24, 2019 1:10 pm
What exactly is in your ext.php file?
Here is my ext.php:

Code: Select all

<?php
/**
*
* Newest X Users extension for the phpBB Forum Software package.
* @copyright (c) 2014 - 2020 Kirk https://reyno41.bplaced.net/phpbb
* @license GNU General Public License, version 2 (GPL-2.0-only)
*
*/

namespace kirk\newest_x_users;

class ext extends \phpbb\extension\base
{
	/**
	* Check whether the extension can be enabled.
	* Provides meaningful(s) error message(s) and the back-link on failure.
	* CLI and 3.1/3.2 compatible (we do not use the $lang object here on purpose)
	*
	* @return bool
	*/
	public function is_enableable()
	{
		$phpbb_min_ver		= '3.2.0';
		$phpbb_below_ver	= '3.4.0@dev';

		$user = $this->container->get('user');
		$user->add_lang_ext('kirk/newest_x_users', 'newest_x_users_ext_enable_error');
		$lang = $user->lang;
		$newest_x_users = $lang['NEWEST_X_USERS'];

		if (!(phpbb_version_compare(PHPBB_VERSION, $phpbb_min_ver, '>=') && phpbb_version_compare(PHPBB_VERSION, $phpbb_below_ver, '<')))
		{
			trigger_error(sprintf($lang['ERROR_NEWEST_X_USERS_EXTENSION_NOT_ENABLEABLE'] . '<br />' . $lang['ERROR_MSG_PHPBB_WRONG_VERSION'], $newest_x_users, $phpbb_min_ver, $phpbb_below_ver) . $this->get_adm_back_link(), E_USER_WARNING);
		}
		return true;
	}

	private function get_adm_back_link()
	{
		return adm_back_link(append_sid('index.' . $this->container->getParameter('core.php_ext'), 'i=acp_extensions&amp;mode=main'));
	}
}

Wilmo
Registered User
Posts: 1
Joined: Wed Dec 25, 2019 10:51 am

Re: phpBB 3.3.0-RC1 released

Post by Wilmo »

Hey all,

On the danger that I missed a simple step, I post this since my self-checks did not really lead to anything. My host decided last week to update to PHP7.3.7 so the board did not work anymore. In that way I installed the 3.3.0-b2 in order to be able to continue the board.

With the RC1 released I first tried the update package from b2 to RC1 which ended in an '500 | Internal Error'. After that I uploaded all files except config, /images, /files and /store and again the same error. After that I uploaded the complete package and still the same error.

So there seems to be a fundamental mismatch between my server and RC1. Link to the folder with the complete package: www.bmwe21.net/forum3


Edit: Because of Christmas I tried to upload the Changed Files and this worked out. The new fresh install I described hereabove is still available.
Last edited by Wilmo on Wed Dec 25, 2019 2:39 pm, edited 1 time in total.

User avatar
3Di
Registered User
Posts: 784
Joined: Tue Nov 01, 2005 9:50 pm
Location: Milano (I) Frankfurt (D)
Contact:

Re: phpBB 3.3.0-RC1 released

Post by 3Di »

Kirk wrote:
Wed Dec 25, 2019 8:50 am
DavidIQ wrote:
Tue Dec 24, 2019 1:10 pm
What exactly is in your ext.php file?
Here is my ext.php:

Code: Select all

... SNIP ...
You are using custom messages in ext.php. The function is_enableable() changed in phpBB 3.3, see:

[3.3.0-b1] ext.php & custom reasons
Please PM me only to request paid works. Thx.
Want to compensate me for my interest? Donate
My development's activity º PhpStorm's proud user
Extensions, Scripts, MOD porting, Update/Upgrades
👨‍🏫 | Take a tour to | The Studio | 👨‍🏫

Kirk
Registered User
Posts: 7
Joined: Mon Dec 23, 2019 7:43 pm

Re: phpBB 3.3.0-RC1 released

Post by Kirk »

The ext.php works correctly, under 3.2 you get this message after installing an extension:
extension_successfully_enabled_msg_3_2.jpg
If there is an error in the ext.php, this extension can not be installed in 3.3, you will not get an error message.
In 3.2 you get an error message regarding the ext.php

User avatar
3Di
Registered User
Posts: 784
Joined: Tue Nov 01, 2005 9:50 pm
Location: Milano (I) Frankfurt (D)
Contact:

Re: phpBB 3.3.0-RC1 released

Post by 3Di »

Kirk wrote:
Thu Dec 26, 2019 7:43 am
If there is an error in the ext.php, this extension can not be installed in 3.3, you will not get an error message.
You're right, I tested with an extension ready for 3.3 and I put a wrong square bracket there on purpose.

I was able to see the debug error only with F12 (developer tools)
2019-12-26 22_03_15-Strumenti di sviluppo - Manage extensions - http___localhost_qi_boards_330-b1_ad.png
Thanks for reporting.

https://tracker.phpbb.com/browse/PHPBB3-16270
Please PM me only to request paid works. Thx.
Want to compensate me for my interest? Donate
My development's activity º PhpStorm's proud user
Extensions, Scripts, MOD porting, Update/Upgrades
👨‍🏫 | Take a tour to | The Studio | 👨‍🏫

Post Reply